Bug Hunting Session
Bug 54362 - : Autocorrection: wrong replacement with "lua de mel"
Summary: : Autocorrection: wrong replacement with "lua de mel"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:3.7.0 target:3.6.3
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-01 20:58 UTC by Rodolfo
Modified: 2012-09-21 18:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rodolfo 2012-09-01 20:58:36 UTC
It replaces "lua de mel" (right) por "lua-de-mel" (wrong), marking it with red wave of bad orthography.

This entry must be removed from "Autocorrection > replacement" list, as it is wrong with the new ortography.

Steps to reproduce:
1. Type: "lua de mel é"

Platform (if different from the browser): 
Windows & Linux (3.5.4.2)
              
Browser: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/536.11 (KHTML, like Gecko) Chrome/20.0.1132.57 Safari/536.11
Comment 1 Andras Timar 2012-09-20 06:48:29 UTC
Olivier, if you agree with the reported, you can fix it in extras\source\autotext\lang\pt-BR\acor\DocumentList.xml (in master) by deleting this autocorrection entry.
Comment 2 Olivier Hallot 2012-09-20 09:53:47 UTC
The autocorrection will be updated soon with this and many other entries. For the time being, users can drop the entry from the replacement table.
Comment 3 Not Assigned 2012-09-21 16:06:37 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9cf615b68f815eb93b61cfd77232462496cdcf2a

Update acor_pt-PT.dat and fix fdo#54362



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-09-21 18:52:16 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77362d016b05e6c2464ed64b288a43d761eeab91&g=libreoffice-3-6

Update acor_pt-PT.dat and fix fdo#54362


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.